## tdepim/Makefile.am
## (C) 1997 Stephan Kulow

# these are here to control the compilation order, but are only textual
# hints for the cvs.sh script. If you change something here, you have
# to call Makefile.cvs again. 
# WARNING: The Makefile.am is auto-generated from Makefile.am.in, so
# don't change these in Makefile.am, but rather in Makefile.am.in!
#
# Libraries and their upwards dependencies
COMPILE_AFTER_libkmime = libemailfunctions
COMPILE_AFTER_libemailfunctions = libkcal libkpimidentities kmail korganizer
COMPILE_AFTER_libkholidays = korganizer kontact
COMPILE_AFTER_libkcal = kalarm kitchensync konsolekalendar korganizer libkpimexchange libtdepim karm knotes tderesources tdefile-plugins
COMPILE_AFTER_mimelib = korn kmail
COMPILE_AFTER_libtdenetwork = kmail knode
COMPILE_AFTER_libksieve = kmail
#
# Applications and their downward dependencies (ie. the libs they use)
#
COMPILE_BEFORE_libkpimidentities = libtdepim certmanager
COMPILE_BEFORE_certmanager = libtdenetwork libkpgp
COMPILE_BEFORE_korganizer = libtdepim libkpimidentities libkpimexchange kgantt
COMPILE_BEFORE_kaddressbook = libtdepim certmanager akregator
COMPILE_BEFORE_kandy = libtdepim
COMPILE_BEFORE_kmail= libtdepim libkpimidentities certmanager libkpgp libkmime
COMPILE_BEFORE_knode= libtdepim libkpgp libkmime
COMPILE_BEFORE_karm = libtdepim tderesources
COMPILE_BEFORE_plugins = kmail libtdepim libkcal
COMPILE_BEFORE_kontact = kaddressbook knotes korganizer akregator karm
COMPILE_BEFORE_tdeioslave = libkmime libtdepim
COMPILE_BEFORE_libkpimexchange = libtdepim
COMPILE_BEFORE_kalarm = libtdepim libkmime
COMPILE_BEFORE_tderesources = libkpimexchange knotes kaddressbook kode
COMPILE_BEFORE_wizards = libtdepim tderesources korganizer kaddressbook kmail
COMPILE_BEFORE_korn = libtdenetwork
COMPILE_BEFORE_kitchensync = libtdepim
COMPILE_BEFORE_akregator = libtdepim
COMPILE_BEFORE_knotes = libtdepim
COMPILE_BEFORE_konsolekalendar = libtdepim
COMPILE_BEFORE_tdeabc = libtdepim

AUTOMAKE_OPTIONS = foreign 1.6.1
DISTCLEANFILES = inst-apps

MAINTAINERCLEANFILES = subdirs configure.in acinclude.m4 SUBDIRS

include $(top_srcdir)/admin/Doxyfile.am
include admin/deps.am

